This patch is generated from the push branch of HEAD in squid
Mon Jan 26 12:58:16 2004 GMT
See http://devel.squid-cache.org/

Index: squid/CONTRIBUTORS
diff -u squid/CONTRIBUTORS:1.22 squid/CONTRIBUTORS:1.17.6.2
--- squid/CONTRIBUTORS:1.22	Fri Jul  5 15:42:12 2002
+++ squid/CONTRIBUTORS	Tue Sep  3 10:39:07 2002
@@ -88,5 +88,6 @@
 	Ian Castle <ian.castle@coldcomfortfarm.net>
 	Brad Smitch <brad@comstyle.com>
 	Jerry Murdock <jmurdock@itraktech.com>
+	Jon Kay <jkay@pushcache.com>
 
 	Duane Wessels <wessels@squid-cache.org>
Index: squid/acconfig.h
diff -u squid/acconfig.h:1.20 squid/acconfig.h:1.12.2.4
--- squid/acconfig.h:1.20	Thu Aug  8 12:42:06 2002
+++ squid/acconfig.h	Tue Sep  3 10:39:08 2002
@@ -130,6 +130,21 @@
 #undef USE_ARP_ACL
 
 /*
+ * Define this to include code for Hint Caching.
+ */
+#undef USE_HINT_CACHE
+
+/*
+ * Define this to include code for the Plaxton dynamic cache hierarchy.
+ */
+#undef USE_DYNAMIC_HIERARCHY
+
+/*
+ * Define this to include code for sending data by ICP
+ */
+#undef USE_ICP_DATA
+
+/*
  * Define this to include code for the Hypertext Cache Protocol (HTCP)
  */
 #undef USE_HTCP
Index: squid/acinclude.m4
diff -u squid/acinclude.m4:1.4 squid/acinclude.m4:1.1.54.1
--- squid/acinclude.m4:1.4	Mon Jun 17 14:02:55 2002
+++ squid/acinclude.m4	Tue Sep  3 10:39:08 2002
@@ -16,8 +16,7 @@
 changequote([, ])dnl
 AC_MSG_CHECKING(size of $1)
 AC_CACHE_VAL(AC_CV_NAME,
-[AC_TRY_RUN([
-#include <stdio.h>
+[AC_TRY_RUN([#include <stdio.h>
 #if STDC_HEADERS
 #include <stdlib.h>
 #include <stddef.h>
@@ -28,17 +27,13 @@
 #if HAVE_SYS_TYPES_H
 #include <sys/types.h>
 #endif
-#if HAVE_SYS_BITYPES_H
-#include <sys/bitypes.h>
-#endif
 int main()
 {
   FILE *f=fopen("conftestval", "w");
   if (!f) return(1);
   fprintf(f, "%d\n", sizeof($1));
   return(0);
-}
-], AC_CV_NAME=`cat conftestval`, AC_CV_NAME=0, ifelse([$2], , , AC_CV_NAME=$2))])dnl
+}], AC_CV_NAME=`cat conftestval`, AC_CV_NAME=0, ifelse([$2], , , AC_CV_NAME=$2))])dnl
 AC_MSG_RESULT($AC_CV_NAME)
 AC_DEFINE_UNQUOTED(AC_TYPE_NAME, $AC_CV_NAME)
 undefine([AC_TYPE_NAME])dnl
@@ -53,12 +48,7 @@
 [AC_EGREP_CPP(dnl
 changequote(<<,>>)dnl
 <<(^|[^a-zA-Z_0-9])$1[^a-zA-Z_0-9]>>dnl
-changequote([,]), [
-/* What a mess.. many systems have added the (now standard) bit types
- * in their own ways, so we need to scan a wide variety of headers to
- * find them..
- */
-#include <sys/types.h>
+changequote([,]), [#include <sys/types.h>
 #if STDC_HEADERS
 #include <stdlib.h>
 #include <stddef.h>
@@ -68,11 +58,7 @@
 #endif
 #if HAVE_SYS_TYPES_H
 #include <sys/types.h>
-#endif
-#if HAVE_SYS_BITYPES_H
-#include <sys/bitypes.h>
-#endif
-], ac_cv_type_$1=yes, ac_cv_type_$1=no)])dnl
+#endif], ac_cv_type_$1=yes, ac_cv_type_$1=no)])dnl
 AC_MSG_RESULT($ac_cv_type_$1)
 if test $ac_cv_type_$1 = no; then
   AC_DEFINE($1, $2)
Index: squid/configure.in
diff -u squid/configure.in:1.65 squid/configure.in:1.35.2.4
--- squid/configure.in:1.65	Sun Sep  1 09:30:40 2002
+++ squid/configure.in	Tue Sep  3 10:39:09 2002
@@ -27,20 +27,19 @@
 AM_PROG_CC_C_O
 AC_CANONICAL_HOST
 
-
 CRYPTLIB=''
-REGEXLIB=''	# -lregex
-LIBREGEX=''	# libregex.a
+REGEXLIB=''     # -lregex
+LIBREGEX=''     # libregex.a
 
 dnl find out the exe extension for this platform. If it's not empty, use it for CGI's as well.
 AC_EXEEXT
 AC_OBJEXT
 
 if test -z "$EXEEXT"; then
-	CGIEXT=".cgi"
+        CGIEXT=".cgi"
 else
-	# automake automatically adds .exe when installing binaries
-	CGIEXT=""
+        # automake automatically adds .exe when installing binaries
+        CGIEXT=""
 fi
 AC_SUBST(CGIEXT)
 
@@ -49,17 +48,17 @@
 case "$host_os" in
 cygwin|cygwin32)
         AM_CONDITIONAL(ENABLE_WIN32SPECIFIC, true)
-	;;
+        ;;
 *)
-	AM_CONDITIONAL(ENABLE_WIN32SPECIFIC, false)
-	;;
+        AM_CONDITIONAL(ENABLE_WIN32SPECIFIC, false)
+        ;;
 esac
 
 if test -z "$CACHE_HTTP_PORT"; then
-	CACHE_HTTP_PORT="3128"
+        CACHE_HTTP_PORT="3128"
 fi
 if test -z "$CACHE_ICP_PORT"; then
-	CACHE_ICP_PORT="3130"
+        CACHE_ICP_PORT="3130"
 fi
 
 dnl Subsitutions
@@ -76,43 +75,43 @@
 dnl Gerben Wierda <Gerben_Wierda@RnA.nl>
 case "$host" in
     mab-next-nextstep3)
-	CC="$CC -arch m68k -arch i486 -arch hppa -arch sparc"
-	;;
+        CC="$CC -arch m68k -arch i486 -arch hppa -arch sparc"
+        ;;
 esac
 
 dnl Set Default CFLAGS
 if test -z "$PRESET_CFLAGS"; then
     if test "$GCC" = "yes"; then
         case "$host" in
-	*-sun-sunos*)
-    	    # sunos has too many warnings for this to be useful
-	    # motorola too
-    	    ;;
-	*m88k*)
-	    # Motorola cc/ld does not like -02 but is ok on -O
-	    CFLAGS=`echo $CFLAGS | sed -e 's/-O[0-9]/-O/'`
-	    ;;
+        *-sun-sunos*)
+            # sunos has too many warnings for this to be useful
+            # motorola too
+            ;;
+        *m88k*)
+            # Motorola cc/ld does not like -02 but is ok on -O
+            CFLAGS=`echo $CFLAGS | sed -e 's/-O[0-9]/-O/'`
+            ;;
         *)
-    	    CFLAGS="$CFLAGS -Wall"
-    	    ;;
+            CFLAGS="$CFLAGS -Wall"
+            ;;
         esac
     else
-	case "$host" in
-	*mips-sgi-irix6.*)
-	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    CFLAGS="$CFLAGS -n32 -mips3 -O3 -OPT:Olimit=0:space=OFF \
-		-woff 1009,1014,1110,1116,1185,1188,1204,1230,1233 \
-		-Wl,-woff,85,-woff,84,-woff,134 \
-		-nostdinc -I/usr/include -D_BSD_SIGNALS"
-	    ;;
-	alpha-dec-osf4.*)
-	    # Mogul says DEC compilers take both -g and -O2
-	    CFLAGS=`echo $CFLAGS | sed -e 's/-g/-g3/'`
-	    CFLAGS="$CFLAGS -O2"
-	    ;;
-	*)
-	    ;;
-	esac
+        case "$host" in
+        *mips-sgi-irix6.*)
+            # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
+            CFLAGS="$CFLAGS -n32 -mips3 -O3 -OPT:Olimit=0:space=OFF \
+                -woff 1009,1014,1110,1116,1185,1188,1204,1230,1233 \
+                -Wl,-woff,85,-woff,84,-woff,134 \
+                -nostdinc -I/usr/include -D_BSD_SIGNALS"
+            ;;
+        alpha-dec-osf4.*)
+            # Mogul says DEC compilers take both -g and -O2
+            CFLAGS=`echo $CFLAGS | sed -e 's/-g/-g3/'`
+            CFLAGS="$CFLAGS -O2"
+            ;;
+        *)
+            ;;
+        esac
     fi
 fi
 
@@ -121,16 +120,16 @@
     if test "$GCC" = "yes"; then
         case "$host" in
         *)
-    	    # nothing
-	    ;;
+            # nothing
+            ;;
         esac
     else
-	case "$host" in
-	*mips-sgi-irix6.*)
-	    # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
-	    LDFLAGS="-n32 -mips3 -nostdlib -L/usr/lib32"
-	    ;;
-	esac
+        case "$host" in
+        *mips-sgi-irix6.*)
+            # suggested by Rafael Seidl <rafaels@cthulhu.engr.sgi.com>
+            LDFLAGS="-n32 -mips3 -nostdlib -L/usr/lib32"
+            ;;
+        esac
     fi
 fi
 
@@ -156,18 +155,18 @@
 ])
 if test "${use_dlmalloc-unset}" = unset; then
     case "$host" in
-	i386-*-solaris2.*)
-		echo "Enabling dlmalloc for $host"
-		use_dlmalloc="yes"
-		LIBDLMALLOC="libdlmalloc.a"
-		LIB_MALLOC="-L../lib -ldlmalloc"
-		;;
-	*-sgi-irix*)
-		echo "Enabling dlmalloc for $host"
-		use_dlmalloc="yes"
-		LIBDLMALLOC="libdlmalloc.a"
-		LIB_MALLOC="-L../lib -ldlmalloc"
-		;;
+        i386-*-solaris2.*)
+                echo "Enabling dlmalloc for $host"
+                use_dlmalloc="yes"
+                LIBDLMALLOC="libdlmalloc.a"
+                LIB_MALLOC="-L../lib -ldlmalloc"
+                ;;
+        *-sgi-irix*)
+                echo "Enabling dlmalloc for $host"
+                use_dlmalloc="yes"
+                LIBDLMALLOC="libdlmalloc.a"
+                LIB_MALLOC="-L../lib -ldlmalloc"
+                ;;
     esac
 fi
 if test "x$ac_cv_enabled_dlmalloc" = "xyes"; then
@@ -267,7 +266,7 @@
   else
     AC_DEFINE(USE_CARP, 1)
   fi
-])      
+])
 
 AC_ARG_ENABLE(async-io,
 [  --enable-async-io[=N_THREADS]
@@ -277,13 +276,13 @@
                           --enable-storeio=ufs,aufs],
 [ case $enableval in
   yes)
-	STORE_MODULES="ufs aufs"
+        STORE_MODULES="ufs aufs"
     ;;
   no)
     ;;
   *)
-  	aufs_io_threads=$enableval
-	STORE_MODULES="ufs aufs"
+        aufs_io_threads=$enableval
+        STORE_MODULES="ufs aufs"
     ;;
   esac
 ])
@@ -313,9 +312,9 @@
     ;;
     *-solaris2.*)
         if test "$GCC" = "yes" ; then
-	    CFLAGS="$CFLAGS -pthreads"
-	else
-	    CFLAGS="$CFLAGS -mt"
+            CFLAGS="$CFLAGS -pthreads"
+        else
+            CFLAGS="$CFLAGS -mt"
         fi
     ;;
     esac
@@ -342,16 +341,16 @@
                           for details on how to build your custom store module],
 [ case $enableval in
   yes)
-	for module in $srcdir/src/fs/*; do
-	    if test -f $module/Makefile.in; then
-		STORE_MODULES="$STORE_MODULES `basename $module`"
-	    fi
-	done
-  	;;
+        for module in $srcdir/src/fs/*; do
+            if test -f $module/Makefile.in; then
+                STORE_MODULES="$STORE_MODULES `basename $module`"
+            fi
+        done
+        ;;
   no)
-  	;;
-  *)	STORE_MODULES="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
-	;;
+        ;;
+  *)    STORE_MODULES="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
+        ;;
   esac
 ],
 [ if test -z "$STORE_MODULES"; then
@@ -370,32 +369,31 @@
     case "$fs" in
     diskd)
         STORE_MODULE_SUBDIRS="$STORE_MODULE_SUBDIRS $fs"
-	OPT_DISKD_EXE='diskd$(EXEEXT)'
-	;;
+        OPT_DISKD_EXE='diskd$(EXEEXT)'
+        ;;
     aufs)
-	if test -z "$with_pthreads"; then
-	    echo "aufs store used, pthreads support automatically enabled"
-	    with_pthreads=yes
-	fi
-	;;
+        if test -z "$with_pthreads"; then
+            echo "aufs store used, pthreads support automatically enabled"
+            with_pthreads=yes
+        fi
+        ;;
     coss)
-	if test -z "$with_aio"; then
-	    echo "coss store used, aio support automatically enabled"
-	    with_aio=yes
-	fi
-	;;
+        if test -z "$with_aio"; then
+            echo "coss store used, aio support automatically enabled"
+            with_aio=yes
+        fi
+        ;;
     esac
 done
 AC_SUBST(STORE_MODULES)
 AC_SUBST(STORE_MODULE_SUBDIRS)
 AC_SUBST(OPT_DISKD_EXE)
 
-
 dnl --enable-heap-replacement compability option
 AC_ARG_ENABLE(heap-replacement,
 [  --enable-heap-replacement
                           Backwards compability option. Please use the
-			  new --enable-removal-policies directive instead.],
+                          new --enable-removal-policies directive instead.],
 [ if test "$enableval" = "yes" ; then
     echo "--enable-heap-replacement is obsolete. please use the new"
     echo "--enable-removal-policies directive instead"
@@ -410,19 +408,19 @@
                           The default is only to build the "lru" module.
                           See src/repl for a list of available modules, or
                           Programmers Guide section 9.9 for details on how
-			  to build your custom policy],
+                          to build your custom policy],
 [ case $enableval in
   yes)
-	for module in $srcdir/src/repl/*; do
-	    if test -f $module/Makefile.in; then
-		REPL_POLICIES="$REPL_POLICIES `basename $module`"
-	    fi
-	done
-  	;;
+        for module in $srcdir/src/repl/*; do
+            if test -f $module/Makefile.in; then
+                REPL_POLICIES="$REPL_POLICIES `basename $module`"
+            fi
+        done
+        ;;
   no)
-  	;;
-  *)	REPL_POLICIES="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
-	;;
+        ;;
+  *)    REPL_POLICIES="`echo $enableval| sed -e 's/,/ /g;s/  */ /g'`"
+        ;;
   esac
 ],
 [ if test -z "$REPL_POLICIES"; then
@@ -467,8 +465,8 @@
 dnl [ if test "$enableval" = "yes" ; then
 dnl     echo "Memory trace (to file) enabled"
 dnl     AC_DEFINE(MEM_GEN_TRACE)
-dnl   fi    
-dnl ])     
+dnl   fi
+dnl ])
 
 AC_ARG_ENABLE(useragent-log,
 [  --enable-useragent-log  Enable logging of User-Agent header],
@@ -486,7 +484,7 @@
   fi
 ])
 
-AC_ARG_ENABLE(wccp,  
+AC_ARG_ENABLE(wccp,
 [  --disable-wccp          Disable Web Cache Coordination Protocol],
 [ if test "$enableval" = "no" ; then
     echo "Web Cache Coordination Protocol disabled"
@@ -494,7 +492,7 @@
   else
     AC_DEFINE(USE_WCCP, 1)
   fi
-])      
+])
 
 AC_ARG_ENABLE(kill-parent-hack,
 [  --enable-kill-parent-hack
@@ -543,19 +541,50 @@
 [  if test "$enableval" = "yes" ; then
      echo "ARP ACL lists enabled (ether address)"
      case "$host" in
-	*-linux-*)
-	    ;;
-	*-solaris-*)
-	    ;;
-	*)
-	    echo "WARNING: ARP ACL support probably won't work on $host."
-	    sleep 10
-	    ;;
+        *-linux-*)
+            ;;
+        *-solaris-*)
+            ;;
+        *)
+            echo "WARNING: ARP ACL support probably won't work on $host."
+            sleep 10
+            ;;
      esac
      AC_DEFINE(USE_ARP_ACL)
    fi
 ])
 
+AM_CONDITIONAL(ENABLE_HINTS, false)
+AC_ARG_ENABLE(hints,
+[  --enable-hints           Enable Hint Cache protocol],
+[ if test "$enableval" = "yes" ; then
+    echo "Hint Cache enabled"
+    AC_DEFINE(USE_HINT_CACHE)
+    AM_CONDITIONAL(ENABLE_HINTS, true)
+  fi
+])
+
+AM_CONDITIONAL(ENABLE_PLAXTON, false)
+AC_ARG_ENABLE(plaxton,
+[  --enable-plaxton           Enable Plaxton dynamic hierarchy protocol],
+[ if test "$enableval" = "yes" ; then
+    echo "Plaxton dynamic hierarchy enabled"
+    AC_DEFINE(USE_DYNAMIC_HIERARCHY)
+    AM_CONDITIONAL(ENABLE_PLAXTON, true)
+  fi
+])
+
+AM_CONDITIONAL(ENABLE_ICP_DATA, false)
+AC_ARG_ENABLE(icpdata,
+[  --enable-icpdata           Enable sending data by ICP],
+[ if test "$enableval" = "yes" ; then
+    echo "Push over ICP/UDP enabled"
+    AC_DEFINE(USE_ICP_DATA)
+    AM_CONDITIONAL(ENABLE_ICP_DATA, true)
+  fi
+])
+
+  AM_CONDITIONAL(ENABLE_HTCP, false)
 AM_CONDITIONAL(ENABLE_HTCP, false)
 AC_ARG_ENABLE(htcp,
 [  --enable-htcp           Enable HTCP protocol],
@@ -584,10 +613,10 @@
 AC_ARG_WITH(openssl,
 [  --with-openssl[=prefix]
                           Compile with the OpenSSL libraries. The path to
-			  the OpenSSL development libraries and headers
-			  installation can be specified if outside of the
-			  system standard directories],
-[ 
+                          the OpenSSL development libraries and headers
+                          installation can be specified if outside of the
+                          system standard directories],
+[
   case "$with_openssl" in
   yes)
     USE_OPENSSL=1
@@ -639,10 +668,10 @@
                           errors directory) ],
 [
     if test -d $srcdir/errors/$enableval; then
-	ERR_DEFAULT_LANGUAGE=$enableval
+        ERR_DEFAULT_LANGUAGE=$enableval
     else
-	echo "ERROR! Unknown language $enableval, see errors/ directory"
-	exit 1
+        echo "ERROR! Unknown language $enableval, see errors/ directory"
+        exit 1
     fi
 ],[ERR_DEFAULT_LANGUAGE="English"])
 AC_SUBST(ERR_DEFAULT_LANGUAGE)
@@ -655,9 +684,9 @@
 [
     for l in $enableval; do
         if test -d $srcdir/errors/$l; then :; else
-	    echo "ERROR! Unknown language $$l, see errors/"
-	    exit 1
-	fi
+            echo "ERROR! Unknown language $$l, see errors/"
+            exit 1
+        fi
     done
     ERR_LANGUAGES=$enableval
 ],[
@@ -665,7 +694,7 @@
     for l in $srcdir/errors/*; do
         if test -f $l/ERR_ACCESS_DENIED; then
             ERR_LANGUAGES="$ERR_LANGUAGES `basename $l`"
-	fi
+        fi
     done
 ])
 AC_SUBST(ERR_LANGUAGES)
@@ -753,9 +782,9 @@
                           Enable Transparent Proxy support for systems
                           using IP-Filter network address redirection.],
 [ if test "$enableval" = "yes" ; then
-	echo "IP-Filter Transparent Proxy enabled"
-	AC_DEFINE(IPF_TRANSPARENT)
-	IPF_TRANSPARENT="yes"
+        echo "IP-Filter Transparent Proxy enabled"
+        AC_DEFINE(IPF_TRANSPARENT)
+        IPF_TRANSPARENT="yes"
   fi
 ])
 
@@ -765,9 +794,9 @@
                           Enable Transparent Proxy support for systems
                           using PF network address redirection.],
 [ if test "$enableval" = "yes" ; then
-	echo "PF Transparent Proxy enabled"
-	AC_DEFINE(PF_TRANSPARENT)
-	PF_TRANSPARENT="yes"
+        echo "PF Transparent Proxy enabled"
+        AC_DEFINE(PF_TRANSPARENT)
+        PF_TRANSPARENT="yes"
   fi
 ])
 
@@ -776,9 +805,9 @@
 [  --enable-linux-netfilter
                           Enable Transparent Proxy support for Linux 2.4.],
 [ if test "$enableval" = "yes" ; then
-	echo "Linux-Netfilter Transparent Proxy enabled"
-	AC_DEFINE(LINUX_NETFILTER)
-	LINUX_NETFILTER="yes"
+        echo "Linux-Netfilter Transparent Proxy enabled"
+        AC_DEFINE(LINUX_NETFILTER)
+        LINUX_NETFILTER="yes"
   fi
 ])
 
@@ -787,8 +816,8 @@
 [  --enable-large-files    Enable support for large files (>2GB). Still
                           experimental.],
 [ if test "$enableval" = "yes" ; then
-	echo "Large file support enabled"
-	CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
+        echo "Large file support enabled"
+        CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
   fi
 ])
 
@@ -798,13 +827,13 @@
 [  --enable-leakfinder
                           Enable Leak Finding code.  Enabling this alone
                           does nothing; you also have to modify the source
-			  code to use the leak finding functions.  Probably
-			  Useful for hackers only.],
+                          code to use the leak finding functions.  Probably
+                          Useful for hackers only.],
 [ if test "$enableval" = "yes" ; then
-	echo "Leak-Finding enabled"
-	AC_DEFINE(USE_LEAKFINDER)
-	USE_LEAKFINDER="yes"
-	AM_CONDITIONAL(MAKE_LEAKFINDER, true)
+        echo "Leak-Finding enabled"
+        AC_DEFINE(USE_LEAKFINDER)
+        USE_LEAKFINDER="yes"
+        AM_CONDITIONAL(MAKE_LEAKFINDER, true)
   fi
 ])
 
@@ -873,20 +902,19 @@
                           See hosts_file directive in squid.conf for details],
 [
     if test "$enableval" != "none" ; then
-    	if test -f $enableval; then
-	    OPT_DEFAULT_HOSTS=$enableval
-    	else
-	    echo "Warning Unable to find $enableval"
-	    sleep 5
-	fi
+        if test -f $enableval; then
+            OPT_DEFAULT_HOSTS=$enableval
+        else
+            echo "Warning Unable to find $enableval"
+            sleep 5
+        fi
     else
-	OPT_DEFAULT_HOSTS="none"    
+        OPT_DEFAULT_HOSTS="none"
     fi
     echo "Default hosts file set to: $enableval"
 ],[OPT_DEFAULT_HOSTS="/etc/hosts"])
 AC_SUBST(OPT_DEFAULT_HOSTS)
 
-
 dnl Select auth schemes modules to build
 AC_ARG_ENABLE(auth,
 [  --enable-auth=\"list of auth scheme modules\"
@@ -931,11 +959,11 @@
   echo "option --enable-basic-auth-helpers"
   sleep 5
   case "$enableval" in
-  yes) 
+  yes)
     for helper in $srcdir/helpers/basic_auth/*; do
-	if test -f $helper/Makefile.in; then
-	    BASIC_AUTH_HELPERS="$BASIC_AUTH_HELPERS `basename $helper`"
-	fi
+        if test -f $helper/Makefile.in; then
+            BASIC_AUTH_HELPERS="$BASIC_AUTH_HELPERS `basename $helper`"
+        fi
     done
     ;;
   no)
@@ -947,16 +975,16 @@
 AC_ARG_ENABLE(basic-auth-helpers,
 [  --enable-basic-auth-helpers=\"list of helpers\"
                           This option selects which basic scheme proxy_auth
-                          helpers to build and install as part of the normal 
+                          helpers to build and install as part of the normal
                           build process. For a list of available
                           helpers see the helpers/basic_auth directory.],
 [ case "$enableval" in
-  yes) 
+  yes)
     BASIC_AUTH_HELPERS=""
     for helper in $srcdir/helpers/basic_auth/*; do
-	if test -f $helper/Makefile.in; then
-	    BASIC_AUTH_HELPERS="$BASIC_AUTH_HELPERS `basename $helper`"
-	fi
+        if test -f $helper/Makefile.in; then
+            BASIC_AUTH_HELPERS="$BASIC_AUTH_HELPERS `basename $helper`"
+        fi
     done
     ;;
   no)
@@ -967,12 +995,12 @@
 ])
 if test -n "$BASIC_AUTH_HELPERS"; then
     for helper in $BASIC_AUTH_HELPERS; do
-	if test -f $srcdir/helpers/basic_auth/$helper/Makefile.in; then
-		:
-	else
-		echo "ERROR: Basic auth helper $helper does not exists"
-		exit 1
-	fi
+        if test -f $srcdir/helpers/basic_auth/$helper/Makefile.in; then
+                :
+        else
+                echo "ERROR: Basic auth helper $helper does not exists"
+                exit 1
+        fi
     done
     echo "Basic auth helpers built: $BASIC_AUTH_HELPERS"
 fi
@@ -983,15 +1011,15 @@
 AC_ARG_ENABLE(ntlm-auth-helpers,
 [  --enable-ntlm-auth-helpers=\"list of helpers\"
                           This option selects which proxy_auth ntlm helpers
-                          to build and install as part of the normal build 
+                          to build and install as part of the normal build
                           process. For a list of available helpers see
                           the helpers/ntlm_auth directory.],
 [ case "$enableval" in
-  yes) 
+  yes)
     for helper in $srcdir/helpers/ntlm_auth/*; do
-	if test -f $helper/Makefile.in; then
-	    NTLM_AUTH_HELPERS="$NTLM_AUTH_HELPERS `basename $helper`"
-	fi
+        if test -f $helper/Makefile.in; then
+            NTLM_AUTH_HELPERS="$NTLM_AUTH_HELPERS `basename $helper`"
+        fi
     done
     ;;
   no)
@@ -1002,12 +1030,12 @@
 ])
 if test -n "$NTLM_AUTH_HELPERS"; then
     for helper in $NTLM_AUTH_HELPERS; do
-	if test -f $srcdir/helpers/ntlm_auth/$helper/Makefile.in; then
-		:
-	else
-		echo "ERROR: NTLM auth helper $helper does not exists"
-		exit 1
-	fi
+        if test -f $srcdir/helpers/ntlm_auth/$helper/Makefile.in; then
+                :
+        else
+                echo "ERROR: NTLM auth helper $helper does not exists"
+                exit 1
+        fi
     done
     echo "NTLM auth helpers built: $NTLM_AUTH_HELPERS"
 fi
@@ -1037,12 +1065,12 @@
 ])
 if test -n "$DIGEST_AUTH_HELPERS"; then
     for helper in $DIGEST_AUTH_HELPERS; do
-	if test -f $srcdir/helpers/digest_auth/$helper/Makefile.in; then
-		:
-	else
-		echo "ERROR: digest auth helper $helper does not exists"
-		exit 1
-	fi
+        if test -f $srcdir/helpers/digest_auth/$helper/Makefile.in; then
+                :
+        else
+                echo "ERROR: digest auth helper $helper does not exists"
+                exit 1
+        fi
     done
     echo "Digest auth helpers built: $DIGEST_AUTH_HELPERS"
 fi
@@ -1082,12 +1110,12 @@
 ])
 if test -n "$EXTERNAL_ACL_HELPERS"; then
     for helper in $EXTERNAL_ACL_HELPERS; do
-	if test -f $srcdir/helpers/external_acl/$helper/Makefile.in; then
-		:
-	else
-		echo "ERROR: external acl helper $helper does not exists"
-		exit 1
-	fi
+        if test -f $srcdir/helpers/external_acl/$helper/Makefile.in; then
+                :
+        else
+                echo "ERROR: external acl helper $helper does not exists"
+                exit 1
+        fi
     done
     echo "External acl helpers built: $EXTERNAL_ACL_HELPERS"
 fi
@@ -1153,19 +1181,19 @@
 #
 case "$host" in
     alpha-dec-osf*)
-	if test "$ac_cv_prog_CC" = "cc" ; then
-		echo "adding '-std1' to cc args for $host"
-		CC="cc -std1";
-		ac_cv_prog_CC="$CC"
-	fi
-	;;
+        if test "$ac_cv_prog_CC" = "cc" ; then
+                echo "adding '-std1' to cc args for $host"
+                CC="cc -std1";
+                ac_cv_prog_CC="$CC"
+        fi
+        ;;
     *-hp-hpux*)
-	if test "$ac_cv_prog_CC" = "cc" ; then
-		echo "adding '-Ae' to cc args for $host"
-		CC="cc -Ae";
-		ac_cv_prog_CC="$CC"
-	fi
-	;;
+        if test "$ac_cv_prog_CC" = "cc" ; then
+                echo "adding '-Ae' to cc args for $host"
+                CC="cc -Ae";
+                ac_cv_prog_CC="$CC"
+        fi
+        ;;
 esac
 
 dnl Check for programs
@@ -1185,24 +1213,24 @@
 AC_PATH_PROG(AR, ar, $FALSE)
 
 if test "$ac_cv_path_PERL" = "none"; then
-	echo "Perl is required to compile Squid"
-	echo "Please install Perl and then re-run configure"
-	exit 1
+        echo "Perl is required to compile Squid"
+        echo "Please install Perl and then re-run configure"
+        exit 1
 fi
 
 case "$host" in
     *-hp-hpux*)
-	echo "Disabling 'ranlib' for HP-UX..."
-	RANLIB=":"
-	;;
+        echo "Disabling 'ranlib' for HP-UX..."
+        RANLIB=":"
+        ;;
 esac
 
 dnl set $(AR)
 AR_R="$AR r"
 case "$host" in
-	*-next-nextstep3)
-		AR="libtool -o"
-		;;
+        *-next-nextstep3)
+                AR="libtool -o"
+                ;;
 esac
 AC_SUBST(AR_R)
 
@@ -1211,84 +1239,84 @@
 AC_HEADER_STDC
 
 AC_CHECK_HEADERS( \
-	arpa/inet.h \
-	arpa/nameser.h \
-	assert.h \
-	bstring.h \
-	crypt.h \
-	ctype.h \
-	errno.h \
-	execinfo.h \
-	fcntl.h \
-	getopt.h \
-	gnumalloc.h \
-	grp.h \
-	ip_compat.h \
-	ip_fil_compat.h \
-	ip_fil.h \
-	ip_nat.h \
-	libc.h \
-	limits.h \
-	linux/netfilter_ipv4.h \
-	malloc.h \
-	math.h \
-	memory.h \
-	mount.h \
-	net/if.h \
-	net/pfvar.h \
-	netdb.h \
-	netinet/if_ether.h \
-	netinet/in.h \
-	netinet/tcp.h \
-	netinet/ip_compat.h \
-	netinet/ip_fil_compat.h \
-	netinet/ip_fil.h \
-	netinet/ip_nat.h \
-	openssl/err.h \
-	openssl/md5.h \
-	openssl/ssl.h \
-	poll.h \
-	pwd.h \
-	regex.h \
-	resolv.h \
-	sched.h \
-	signal.h \
-	stdarg.h \
-	stddef.h \
-	stdio.h \
-	stdlib.h \
-	string.h \
-	strings.h \
-	sys/bitypes.h \
-	sys/file.h \
-	sys/ioctl.h \
-	sys/mount.h \
-	sys/msg.h \
-	sys/param.h \
-	sys/resource.h \
-	sys/select.h\
-	sys/socket.h \
-	sys/stat.h \
-	sys/statvfs.h \
-	syscall.h \
-	sys/syscall.h \
-	sys/time.h \
-	sys/types.h \
-	sys/un.h \
-	sys/vfs.h \
-	sys/wait.h \
-	syslog.h \
-	time.h \
-	unistd.h \
-	utime.h \
-	varargs.h \
-	byteswap.h \
-	glib.h \
-	stdint.h \
-	inttypes.h \
-	grp.h \
-	nss_common.h \
-	nss.h
+        arpa/inet.h \
+        arpa/nameser.h \
+        assert.h \
+        bstring.h \
+        crypt.h \
+        ctype.h \
+        errno.h \
+        execinfo.h \
+        fcntl.h \
+        getopt.h \
+        gnumalloc.h \
+        grp.h \
+        ip_compat.h \
+        ip_fil_compat.h \
+        ip_fil.h \
+        ip_nat.h \
+        libc.h \
+        limits.h \
+        linux/netfilter_ipv4.h \
+        malloc.h \
+        math.h \
+        memory.h \
+        mount.h \
+        net/if.h \
+        net/pfvar.h \
+        netdb.h \
+        netinet/if_ether.h \
+        netinet/in.h \
+        netinet/tcp.h \
+        netinet/ip_compat.h \
+        netinet/ip_fil_compat.h \
+        netinet/ip_fil.h \
+        netinet/ip_nat.h \
+        openssl/err.h \
+        openssl/md5.h \
+        openssl/ssl.h \
+        poll.h \
+        pwd.h \
+        regex.h \
+        resolv.h \
+        sched.h \
+        signal.h \
+        stdarg.h \
+        stddef.h \
+        stdio.h \
+        stdlib.h \
+        string.h \
+        strings.h \
+        sys/bitypes.h \
+        sys/file.h \
+        sys/ioctl.h \
+        sys/mount.h \
+        sys/msg.h \
+        sys/param.h \
+        sys/resource.h \
+        sys/select.h\
+        sys/socket.h \
+        sys/stat.h \
+        sys/statvfs.h \
+        syscall.h \
+        sys/syscall.h \
+        sys/time.h \
+        sys/types.h \
+        sys/un.h \
+        sys/vfs.h \
+        sys/wait.h \
+        syslog.h \
+        time.h \
+        unistd.h \
+        utime.h \
+        varargs.h \
+        byteswap.h \
+        glib.h \
+        stdint.h \
+        inttypes.h \
+        grp.h \
+        nss_common.h \
+        nss.h
 )
 
 AC_C_CONST
@@ -1406,49 +1434,49 @@
 
 dnl int16_t
 if test "x$ac_cv_sizeof_short" = "x2"; then
-	AC_CHECK_SYSTYPE(int16_t,short)
+        AC_CHECK_SYSTYPE(int16_t,short)
 elif test "x$ac_cv_sizeof_int" = "x2"; then
-	AC_CHECK_SYSTYPE(int16_t,int)
+        AC_CHECK_SYSTYPE(int16_t,int)
 fi
 dnl u_int16t_t
 if test "x$ac_cv_sizeof_uint16_t" = "x2"; then
-	AC_CHECK_SYSTYPE(u_int16_t,uint16_t)
+        AC_CHECK_SYSTYPE(u_int16_t,uint16_t)
 elif test "x$ac_cv_sizeof_short" = "x2"; then
-	AC_CHECK_SYSTYPE(u_int16_t,unsigned short)
+        AC_CHECK_SYSTYPE(u_int16_t,unsigned short)
 elif test "x$ac_cv_sizeof_int" = "x2"; then
-	AC_CHECK_SYSTYPE(u_int16_t,unsigned int)
+        AC_CHECK_SYSTYPE(u_int16_t,unsigned int)
 fi
 dnl int32_t
 if test "x$ac_cv_sizeof_int" = "x4"; then
-	AC_CHECK_SYSTYPE(int32_t,int)
+        AC_CHECK_SYSTYPE(int32_t,int)
 elif "x$ac_cv_sizeof_long" = "x4"; then
-	AC_CHECK_SYSTYPE(int32_t,long)
+        AC_CHECK_SYSTYPE(int32_t,long)
 fi
 dnl u_int32_t
 if test "x$ac_cv_sizeof_uint32_t" = "x4"; then
-	AC_CHECK_SYSTYPE(u_int32_t,uint32_t)
+        AC_CHECK_SYSTYPE(u_int32_t,uint32_t)
 elif test "x$ac_cv_sizeof_int" = "x4"; then
-	AC_CHECK_SYSTYPE(u_int32_t,unsigned int)
+        AC_CHECK_SYSTYPE(u_int32_t,unsigned int)
 elif test "x$ac_cv_sizeof_long" = "x4"; then
-	AC_CHECK_SYSTYPE(u_int32_t,unsigned long)
+        AC_CHECK_SYSTYPE(u_int32_t,unsigned long)
 fi
 dnl int64_t
 if test "x$ac_cv_sizeof_long" = "x8"; then
-	AC_CHECK_SYSTYPE(int64_t,long)
+        AC_CHECK_SYSTYPE(int64_t,long)
 elif test "x$ac_cv_sizeof_long_long" = "x8"; then
-	AC_CHECK_SYSTYPE(int64_t,long long)
+        AC_CHECK_SYSTYPE(int64_t,long long)
 elif test "x$ac_cv_sizeof___int64" = "x8"; then
-	AC_CHECK_SYSTYPE(int64_t,__int64)
+        AC_CHECK_SYSTYPE(int64_t,__int64)
 fi
 dnl u_int64_t
 if test "x$ac_cv_sizeof_uint64_t" = "x8"; then
-	AC_CHECK_SYSTYPE(u_int64_t,uint64_t)
+        AC_CHECK_SYSTYPE(u_int64_t,uint64_t)
 elif test "x$ac_cv_sizeof_long" = "x8"; then
-	AC_CHECK_SYSTYPE(u_int64_t,unsigned long)
+        AC_CHECK_SYSTYPE(u_int64_t,unsigned long)
 elif test "x$ac_cv_sizeof_long_long" = "x8"; then
-	AC_CHECK_SYSTYPE(u_int64_t,unsigned long long)
+        AC_CHECK_SYSTYPE(u_int64_t,unsigned long long)
 elif test "x$ac_cv_sizeof___int64" = "x8"; then
-	AC_CHECK_SYSTYPE(int64_t,unsigned __int64)
+        AC_CHECK_SYSTYPE(int64_t,unsigned __int64)
 fi
 
 AC_CHECK_TYPE(pid_t, int)
@@ -1464,7 +1492,6 @@
 dnl Check for special functions
 AC_FUNC_ALLOCA
 
-
 dnl Check for type in sys/socket.h
 AC_CACHE_CHECK(for socklen_t, ac_cv_type_socklen_t, [
   AC_EGREP_CPP([socklen_t[^a-zA-Z_0-9]], [#include <sys/types.h>
@@ -1505,7 +1532,7 @@
 #include <sys/socket.h>
 #include <sys/un.h>],
 [
-  struct sockaddr_un sunaddr; 
+  struct sockaddr_un sunaddr;
   sunaddr.sun_family = AF_UNIX;
 ],
         squid_cv_unixsocket=yes,squid_cv_unixsocket=no)])
@@ -1519,23 +1546,23 @@
 else
   AC_CHECK_LIB(gnumalloc, main)
   if test "$ac_cv_lib_gnumalloc_main" = "yes"; then
-		echo "Disabling extended malloc functions when using gnumalloc"
-		ac_cv_func_mallinfo=no
-		ac_cv_func_mallocblksize=no
-		ac_cv_func_mallopt=no
+                echo "Disabling extended malloc functions when using gnumalloc"
+                ac_cv_func_mallinfo=no
+                ac_cv_func_mallocblksize=no
+                ac_cv_func_mallopt=no
   else
-		case "$host" in
-			*-sun-solaris*)
-			  echo "skipping libmalloc check for $host"
-				;;
-			i386-*-freebsd*)
-			  echo "skipping libmalloc check for $host"
-				;;
-			*)
-  
-				AC_CHECK_LIB(malloc, main)
-				;;
-		esac
+                case "$host" in
+                        *-sun-solaris*)
+                          echo "skipping libmalloc check for $host"
+                                ;;
+                        i386-*-freebsd*)
+                          echo "skipping libmalloc check for $host"
+                                ;;
+                        *)
+
+                                AC_CHECK_LIB(malloc, main)
+                                ;;
+                esac
   fi
 fi
 
@@ -1544,13 +1571,13 @@
 AC_CHECK_LIB(bind, gethostbyname)
 if test $ac_cv_lib_bind_gethostbyname = "no" ; then
     case "$host" in
-	i386-*-freebsd*)
-		echo "skipping libresolv checks for $host"
-		;;
-	*)
-		AC_CHECK_LIB(resolv, inet_aton, AC_CHECK_LIB(44bsd, inet_aton))
-		AC_CHECK_LIB(resolv, main)
-		;;
+        i386-*-freebsd*)
+                echo "skipping libresolv checks for $host"
+                ;;
+        *)
+                AC_CHECK_LIB(resolv, inet_aton, AC_CHECK_LIB(44bsd, inet_aton))
+                AC_CHECK_LIB(resolv, main)
+                ;;
     esac
 fi
 AC_CHECK_LIB(m, main)
